Summary: Sal info tool.
Name: salinfo
Version: 1.1
Release: 4%{?dist}
Epoch: 1
License: GPL
Group: Utilities/System
Source: salinfo-%{version}.tar.gz
Source1:  salinfo_decode-init
Source2:  salinfo_decode-sysconfig
Patch0:   salinfo_init_scripts.patch
ExclusiveOS: Linux
ExclusiveArch: ia64
BuildRoot: /var/tmp/salinfo-root
PreReq: /sbin/chkconfig /etc/init.d

%description
The IA64 Linux kernel has a Software Abstraction Layer (SAL).  One of
SAL's tasks is to record machine problems such as CMC (correctable
machine checks), CPE (correctable platform errors), MCA (machine check
architecture) and INIT (cpu initialized after boot).  These records are
provided by SAL to user space.  salinfo saves and decodes CMC/CPE/MCA
and INIT records.

%prep
%setup
%patch0 -p1

%build
make

%install
rm -rf %{buildroot}
make install prefix=%{buildroot}

# We have our own versions of these that fit better with the OS
rm -f %{buildroot}/etc/rc.d/init.d/salinfo_decode_all
rm -f %{buildroot}/etc/sysconfig/salinfo_decode_all

# Our versions 
install -m 755 %{S:1} %{buildroot}/etc/rc.d/init.d/salinfo_decode
install -m 644 %{S:2} %{buildroot}/etc/sysconfig/salinfo_decode

# Make logrotate happy
mkdir -p %{buildroot}/var/log/salinfo/raw/old
mkdir -p %{buildroot}/var/log/salinfo/decoded/old

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(700,root,root) %dir	/var/log/salinfo/raw
%attr(700,root,root) %dir	/var/log/salinfo/raw/old
%attr(700,root,root) %dir	/var/log/salinfo/decoded
%attr(700,root,root) %dir	/var/log/salinfo/decoded/old
%attr(755,root,root)		%{_sbindir}/salinfo_decode
%attr(755,root,root)		%{_sbindir}/salinfo_decode_all
%attr(644,root,root) %config	%{_sysconfdir}/logrotate.d/salinfo_decode
%attr(755,root,root)		%{_sysconfdir}/rc.d/init.d/salinfo_decode
%attr(644,root,root) %config	%{_sysconfdir}/sysconfig/salinfo_decode
%attr(644,root,root)		%{_mandir}/man8/salinfo_decode.8*

%post
umask 022

# systems should have this enabled by default
chkconfig --add salinfo_decode

%changelog
* Mon Aug 13 2007 Prarit Bhargava <prarit@redhat.com> 1.1-4
- fixed initscript
* Wed Feb 28 2007 Prarit Bhargava <prarit@redhat.com> 1.1-3
- added logrotate directories
* Tue Oct 17 2006 Prarit Bhargava <prarit@redhat.com> 1.1-2
- updated release with dist argument
* Tue Sep 19 2006 Prarit Bhargava <prarit@redhat.com> 1.1-2
- spec file updates to conform to RH standard
* Wed Aug 30 2006 Erik Jacobsen <erikj@sgi.com> 1.1-1
- original specfile and package.
